gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FileChooserWidgetAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Since: 3.24.30

Synopsis

- newtype FileChooserWidgetAccessible = FileChooserWidgetAccessible (ManagedPtr FileChooserWidgetAccessible)
- class (GObject o, IsDescendantOf FileChooserWidgetAccessible o) => IsFileChooserWidgetAccessible o
- toFileChooserWidgetAccessible :: (MonadIO m, IsFileChooserWidgetAccessible o) => o -> m FileChooserWidgetAccessible

# Exported types

newtype FileChooserWidgetAccessible Source #

Memory-managed wrapper type.

Constructors

FileChooserWidgetAccessible (ManagedPtr FileChooserWidgetAccessible) |

#### Instances

Instances details

Eq FileChooserWidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible Methods (==) :: FileChooserWidgetAccessible -> FileChooserWidgetAccessible -> Bool Source # (/=) :: FileChooserWidgetAccessible -> FileChooserWidgetAccessible -> Bool Source #
GObject FileChooserWidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible
ManagedPtrNewtype FileChooserWidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible Methods toManagedPtr :: FileChooserWidgetAccessible -> ManagedPtr FileChooserWidgetAccessible Source #
TypedObject FileChooserWidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible Methods glibType :: IO GType Source #
HasParentTypes FileChooserWidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible
IsGValue (Maybe FileChooserWidgetAccessible) Source # | Convert `FileChooserWidgetAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FileChooserWidgetAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FileChooserWidgetAccessible) Source #
type ParentTypes FileChooserWidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible type ParentTypes FileChooserWidgetAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component]

class (GObject o, IsDescendantOf FileChooserWidgetAccessible o) => IsFileChooserWidgetAccessible o Source #

Type class for types which can be safely cast to `FileChooserWidgetAccessible`, for instance with `toFileChooserWidgetAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf FileChooserWidgetAccessible o) => IsFileChooserWidgetAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.FileChooserWidgetAccessible

toFileChooserWidgetAccessible :: (MonadIO m, IsFileChooserWidgetAccessible o) => o -> m FileChooserWidgetAccessible Source #

Cast to `FileChooserWidgetAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.